/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.varia.scheduler;

/**
 * MBean interface.
 */
public interface XMLScheduleProviderMBean extends org.jboss.varia.scheduler.AbstractScheduleProviderMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss:service=XMLScheduleProvider");

   org.w3c.dom.Element getSchedules();

   /**
    * Sets the XML configuration attribute
    */
   void setSchedules(org.w3c.dom.Element pSchedules);

   /**
    * Add the Schedule to the Schedule Manager
    */
   void startProviding() throws java.lang.Exception;

   /**
    * Stops the Provider from providing causing the provider to remove the Schedule
    */
   void stopProviding();

}
